#!/bin/bash

# spdx-license-identifier: gpl-3.0-only
# Copyright (C) 2022 Michał Góral

[[ -n "$LIBGPAK_EXIT_MESSAGE_SH" ]] && return
LIBGPAK_EXIT_MESSAGE_SH=1

msg() {
    mesg=$1; shift
    printf "[#] ${mesg}\n" "$@"
}

msg2() {
    mesg=$1; shift
    printf "  [->] ${mesg}\n" "$@"
}

warning() {
    mesg=$1; shift
    printf "[=] ${mesg}\n" "$@" >&2
}

warning2() {
    mesg=$1; shift
    printf "  [=>] ${mesg}\n" "$@" >&2
}

error() {
    mesg=$1; shift
    printf "[!] ${mesg}\n" "$@" >&2
}

error2() {
    mesg=$1; shift
    printf "  [!>] ${mesg}\n" "$@" >&2
}
